Package org.eclipse.mat.ui.snapshot.panes

# Class OverviewPane

java.lang.Object
org.eclipse.mat.ui.editor.AbstractEditorPane
org.eclipse.mat.ui.snapshot.editor.HeapEditorPane
org.eclipse.mat.ui.snapshot.panes.OverviewPane

All Implemented Interfaces:
  `IAdaptable`, `ISelectionProvider`, `IHyperlinkListener`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

public class OverviewPane extends HeapEditorPane implements IHyperlinkListener, ISelectionProvider

## Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`OverviewPane()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSelectionChangedListener(ISelectionChangedListener listener)`
`void`
`contributeToToolBar(IToolBarManager manager)`
`void`
`createPartControl(Composite parent)`
`void`
`dispose()`
`ISelection`
`getSelection()`
`String`
`getTitle()`
`Image`
`getTitleImage()`
`void`
`linkActivated(HyperlinkEvent e)`
`void`
`linkEntered(HyperlinkEvent e)`
`void`
`linkExited(HyperlinkEvent e)`
`void`
`removeSelectionChangedListener(ISelectionChangedListener listener)`
`void`
`setFocus()`
`void`
`setSelection(ISelection selection)`

### Methods inherited from class org.eclipse.mat.ui.snapshot.editor.HeapEditorPane

`getSnapshotInput, init`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleToolTip, initWithArgument, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverviewPane

public OverviewPane()

## Method Details

### createPartControl

public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`

### linkActivated

public void linkActivated(HyperlinkEvent e)

Specified by:
  `linkActivated` in interface `IHyperlinkListener`

### linkEntered

public void linkEntered(HyperlinkEvent e)

Specified by:
  `linkEntered` in interface `IHyperlinkListener`

### linkExited

public void linkExited(HyperlinkEvent e)

Specified by:
  `linkExited` in interface `IHyperlinkListener`

### getTitle

public String getTitle()

Specified by:
  `getTitle` in interface `IWorkbenchPart`

### getTitleImage

public Image getTitleImage()

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Overrides:
  `getTitleImage` in class `AbstractEditorPane`

### contributeToToolBar

public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `AbstractEditorPane`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Overrides:
  `setFocus` in class `AbstractEditorPane`

### addSelectionChangedListener

public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

### removeSelectionChangedListener

public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

### getSelection

public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

### setSelection

public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `AbstractEditorPane`